# $Revision: 1.9 $, $Date: 2010/12/28 13:50:43 $
Summary:	Tlen.pl protocol plugin for Pidgin
Summary(pl.UTF-8):	Tlen.pl plugin dla pidgina
Name:		libpurple-protocol-tlen
Version:	20101112
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://nic.com.pl/~alek/pidgin-tlen/pidgin-tlen-%{version}.tar.gz
# Source0-md5:	c7279014f492830ba93be138d9f2e9c0
URL:		http://nic.com.pl/~alek/pidgin-tlen/
BuildRequires:	libpurple-devel
BuildRequires:	pidgin-devel
BuildRequires:	pkgconfig
Obsoletes:	pidgin-plugin-tlen
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tlen.pl protocol plugin for Pidgin.

%description -l pl.UTF-8
Tlen.pl plugin dla Pidgina.

%prep
%setup -q -n pidgin-tlen-%{version}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="$(pkg-config pidgin --cflags) -fPIC -Wall %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/purple-2
for i in 16 22 48; do \
	install -d $RPM_BUILD_ROOT%{_pixmapsdir}/pidgin/protocols/$i
	cp -a tlen_$i.png $RPM_BUILD_ROOT%{_pixmapsdir}/pidgin/protocols/$i/tlen.png
done
install -p libtlen.so $RPM_BUILD_ROOT%{_libdir}/purple-2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/purple-2/*.so
%{_pixmapsdir}/pidgin/protocols/*/tlen.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpurple-protocol-tlen.spec,v $
Revision 1.9  2010/12/28 13:50:43  lisu
- up to 20101112
- pl fixes
- works fine, rel 1

Revision 1.8  2010/05/16 21:13:32  sparky
- BR: pidgin-devel

Revision 1.7  2010/05/04 09:51:26  glen
- autoup to 20100205

Revision 1.6  2010/05/03 06:23:02  glen
- rename to libpurple-protocol-tlen

Revision 1.5  2009/05/06 14:23:39  glen
- more understandable description

Revision 1.4  2009/05/06 14:20:49  glen
- there's no c++
- fix x86_64 build

Revision 1.3  2009/05/06 14:15:27  glen
- sanity

Revision 1.2  2009/05/06 14:01:14  cactus
- adapterized
- desc pl not hu
- compiler flags passed to make
- just pack pixmaps - not all dir
- rel 1

Revision 1.1  2009/05/06 13:53:02  cactus
- initial release by Przemysław Zając //zajac_p//o2.pl//
